/*
 * InfoEvent.cpp
 *
 *  Created on: 24.08.2011
 *      Author: stefan.detter
 */

#include "InfoEvent.h"

static __init_InfoEvent __init;


InfoEvent::InfoEvent(const QString& key, const QString& value)
	: m_key(key)
	, m_value(value)
{
}

InfoEvent::InfoEvent()
{
}

InfoEvent::InfoEvent(const InfoEvent& other)
{
	m_key = other.m_key;
	m_value = other.m_value;
}

InfoEvent::~InfoEvent()
{
}

const QString& 	InfoEvent::key() const
{
	return m_key;
}

const QString& 	InfoEvent::value() const
{
	return m_value;
}
